=== debian/changelog ===
shim-signed (1.47+genuen6u1) unstable; urgency=medium

  * New binaries signed by the Genuen's own key allowing
    Linux-libre to work with Windows' Secure Boot
  * Add the above certificate to /usr/share/shim

 -- Aitor <aitor@genuen.org>  Mon, 22 Dec 2025 22:06:16 +0100
