## shim-signed 1.56

=== debian/changelog ===
shim-signed (1.56) mantic; urgency=medium

  * Drop --auto-nvram from grub-multi-install call (LP: #2037185)

 -- Julian Andres Klode <juliank@ubuntu.com>  Wed, 04 Oct 2023 18:54:03 +0200
