## shim-signed 1.59

=== Makefile ===
--- 
+++ 
@@ -5,20 +5,24 @@
 	# Download unsigned & signed shim
 	./download-signed shim current shim signed
 
-	# Copy unsigned shim
+	# Copy unsigned shims
 	cp $(SHIM_VERSION)/$(SHIM_BASE) build/
+	cp $(SHIM_VERSION)/$(SHIM_NX) build/
 
-	# Create detached signature from externally signed shim
+	# Create detached signature from externally signed shims
 	sbattach --detach external-$(EFI_ARCH_LOWER).p7c external-shim$(EFI_ARCH_LOWER).efi
+	sbattach --detach external-$(EFI_ARCH_LOWER).nx.p7c external-shim$(EFI_ARCH_LOWER).nx.efi
 
 	# Attach external signature to unsigned & signed shims
 	sbattach --attach external-$(EFI_ARCH_LOWER).p7c $(SHIM_VERSION)/$(SHIM_BASE)
 	sbattach --attach external-$(EFI_ARCH_LOWER).p7c $(SHIM_VERSION)/$(SHIM_BASE).signed
+	sbattach --attach external-$(EFI_ARCH_LOWER).nx.p7c $(SHIM_VERSION)/$(SHIM_NX)
 
 	# Copy external & dualsigned shims
 	cp $(SHIM_VERSION)/$(SHIM_BASE) build/$(SHIM_BASE).signed.latest
 	cp $(SHIM_VERSION)/$(SHIM_BASE).signed build/$(SHIM_BASE).dualsigned
 	cp external-shim$(EFI_ARCH_LOWER).efi.previous build/$(SHIM_BASE).signed.previous
+	cp $(SHIM_VERSION)/$(SHIM_NX) build/$(SHIM_NX).signed.latest
 
 	# Move archive signed fb*.efi & mm*.efi
 	mv $(SHIM_VERSION)/$(FB_BASE).signed build/$(FB_BASE)
@@ -33,15 +37,17 @@
 	sbverify --verbose --cert external.pem build/$(SHIM_BASE).signed.previous
 	sbverify --verbose --cert external.pem build/$(SHIM_BASE).dualsigned
 	sbverify --verbose --cert $(SHIM_VERSION)/control/uefi.crt build/$(SHIM_BASE).dualsigned
+	sbverify --verbose --cert external.pem build/$(SHIM_NX).signed.latest
 	sbverify --verbose --cert $(SHIM_VERSION)/control/uefi.crt build/$(FB_BASE)
 	sbverify --verbose --cert $(SHIM_VERSION)/control/uefi.crt build/$(MM_BASE)
 	# verify sbattach binary output matches the externally-signed binary
 	cmp external-shim$(EFI_ARCH_LOWER).efi build/$(SHIM_BASE).signed.latest
+	cmp external-shim$(EFI_ARCH_LOWER).nx.efi build/$(SHIM_NX).signed.latest
 	# Check that we are not signed with revoked keys
 	./is-not-revoked  build/$(FB_BASE) build/$(MM_BASE) build/$(SHIM_BASE).dualsigned
 
 clean:
-	rm -rf build $(SHIM_VERSION) external-$(EFI_ARCH_LOWER).p7c
+	rm -rf build $(SHIM_VERSION) external-$(EFI_ARCH_LOWER).p7c external-$(EFI_ARCH_LOWER).nx.p7c
 
 else
 
@@ -50,13 +56,15 @@
 	# Download unsigned & signed shim
 	./download-signed shim current shim signed
 
-	# Copy unsigned shim
+	# Copy unsigned shims
 	cp $(SHIM_VERSION)/$(SHIM_BASE) build/
+	cp $(SHIM_VERSION)/$(SHIM_NX) build/
 
 	# Copy archive signed shim
 	cp $(SHIM_VERSION)/$(SHIM_BASE).signed build/$(SHIM_BASE).signed.latest
 	cp $(SHIM_VERSION)/$(SHIM_BASE).signed build/$(SHIM_BASE).signed.previous
 	cp $(SHIM_VERSION)/$(SHIM_BASE).signed build/$(SHIM_BASE).dualsigned
+	cp $(SHIM_VERSION)/$(SHIM_NX).signed build/$(SHIM_NX).signed.latest
 
 	# Move archive signed fb*.efi & mm*.efi
 	mv $(SHIM_VERSION)/$(FB_BASE).signed build/$(FB_BASE)
@@ -67,6 +75,7 @@
 
 check:
 	# Verify all signatures
+	sbverify --verbose --cert $(SHIM_VERSION)/control/uefi.crt build/$(SHIM_NX).signed.latest
 	sbverify --verbose --cert $(SHIM_VERSION)/control/uefi.crt build/$(SHIM_BASE).signed.latest
 	sbverify --verbose --cert $(SHIM_VERSION)/control/uefi.crt build/$(SHIM_BASE).signed.previous
 	sbverify --verbose --cert $(SHIM_VERSION)/control/uefi.crt build/$(SHIM_BASE).dualsigned
