=== debian/changelog ===
shim-signed (1.59) oracular; urgency=medium

  * d/control: Update "Maintainer" to correctly reflect current status
  * Remove old "debian/files" committed by mistake
  * d/control: Depend on NX compatible GRUB2
  * Add Microsoft signed shim 15.8-0ubuntu2 binaries
  * Consume and install NX shim (LP: #2076227)
  * Do not default to NX shim to allow Windows 10 chainloading

 -- Mate Kukri <mate.kukri@canonical.com>  Tue, 01 Oct 2024 11:14:38 +0100
