=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: shim-signed
 Section: utils
 Priority: optional
-Maintainer: Steve Langasek <steve.langasek@ubuntu.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 Build-Depends: debhelper (>= 9), dh-exec, shim, sbsigntool (>= 0.6-0ubuntu4), po-debconf, python3, python3-apt, efitools
 Standards-Version: 3.9.4
 Vcs-Git: https://git.launchpad.net/~ubuntu-core-dev/shim/+git/shim-signed
@@ -9,7 +9,7 @@
 
 Package: shim-signed
 Architecture: amd64 arm64
-Depends: ${misc:Depends}, grub-efi-amd64-signed (>= 1.191~) | grub-efi-arm64-signed (>= 1.191~) | base-files (<< 12.3), grub-efi-amd64-signed (>= 1.187.2~) | grub-efi-arm64-signed (>= 1.187.2~), grub2-common (>= 2.04-1ubuntu24), mokutil (>= 0.3.0+1538710437.fb6250f-0ubuntu2), sbsigntool
+Depends: ${misc:Depends}, grub-efi-amd64-signed (>= 1.204~) | grub-efi-arm64-signed (>= 1.204~), grub2-common (>= 2.04-1ubuntu24), mokutil (>= 0.3.0+1538710437.fb6250f-0ubuntu2), sbsigntool
 Breaks: shim (<< 15.3), fwupd-signed (<< 1.44.1~), grub-common (= 2.12-1ubuntu3)
 Replaces: shim (<< 15.3)
 Recommends: secureboot-db
