=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,7 @@
 endif
 export EFI_ARCH_LOWER := $(shell echo $(EFI_ARCH) | tr A-Z a-z)
 export SHIM_BASE = shim$(EFI_ARCH_LOWER).efi
+export SHIM_NX = shim$(EFI_ARCH_LOWER).nx.efi
 export FB_BASE = fb$(EFI_ARCH_LOWER).efi
 export MM_BASE = mm$(EFI_ARCH_LOWER).efi
